#include "jx_uart_send.h"

// UART1_RX串口通信消息头
const unsigned char g_uart_send_head_UART1_RX[] = {
  0xaa, 0x55
};

// UART1_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART1_RX[] = {
  0x55, 0xaa
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: a3
void _uart_a3(char arg1) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a3;
  param.d_char = arg1;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 6);
}

// action: a4
void _uart_a4() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a4;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a5
void _uart_a5() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a5;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a6
void _uart_a6() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a6;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a7
void _uart_a7() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a7;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a8
void _uart_a8() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a8;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a9
void _uart_a9() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a9;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a11
void _uart_a11() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a11;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a12
void _uart_a12() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a12;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a13
void _uart_a13() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a13;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: a14
void _uart_a14() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_a14;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

